>From d143924a89917f68b59ecdaacd8e08bf85cf220a Mon Sep 17 00:00:00 2001
From: Oliver Schinagl <oliver@schinagl.nl>
Date: Mon, 7 Oct 2013 12:25:15 +0200
Subject: [PATCH u-boot (sc) 2/3] Update all references to get_ram_size to
 unsigned long

With the recent change to use unsigned longs over longs for get_ram_size
all references have to be updated. Since the old behavior was broken to
begin with, changes are kept as close to begin with for boards. For
boards where there where no consequences and could be safely converted
from long to unsigned long, those have been changed.

Signed-off-by: Oliver Schinagl <oliver@schinagl.nl>
---
 arch/arm/cpu/arm926ejs/davinci/misc.c           |  2 +-
 arch/arm/cpu/arm926ejs/kirkwood/dram.c          |  2 +-
 arch/arm/cpu/arm926ejs/mxs/spl_mem_init.c       |  2 +-
 arch/arm/cpu/arm926ejs/orion5x/dram.c           |  2 +-
 arch/arm/cpu/armv7/am33xx/emif4.c               |  2 +-
 arch/arm/cpu/armv7/omap-common/emif-common.c    |  4 ++--
 arch/arm/cpu/armv7/socfpga/misc.c               |  2 +-
 arch/powerpc/cpu/mpc512x/fixed_sdram.c          |  2 +-
 arch/powerpc/cpu/ppc4xx/sdram.c                 |  8 ++++----
 board/AndesTech/adp-ag101/adp-ag101.c           |  2 +-
 board/AndesTech/adp-ag101p/adp-ag101p.c         |  2 +-
 board/AndesTech/adp-ag102/adp-ag102.c           |  2 +-
 board/BuS/eb_cpux9k2/cpux9k2.c                  |  2 +-
 board/BuS/vl_ma2sc/vl_ma2sc.c                   |  2 +-
 board/CarMediaLab/flea3/flea3.c                 |  2 +-
 board/LEOX/elpt860/elpt860.c                    |  2 +-
 board/RPXClassic/RPXClassic.c                   |  2 +-
 board/RPXlite/RPXlite.c                         |  2 +-
 board/RPXlite_dw/RPXlite_dw.c                   |  2 +-
 board/RRvision/RRvision.c                       |  2 +-
 board/a3000/a3000.c                             |  8 ++++----
 board/a3m071/a3m071.c                           |  4 ++--
 board/a4m072/a4m072.c                           |  4 ++--
 board/adder/adder.c                             |  2 +-
 board/afeb9260/afeb9260.c                       |  2 +-
 board/armltd/integrator/integrator.c            |  4 ++--
 board/armltd/versatile/versatile.c              |  2 +-
 board/armltd/vexpress/vexpress_common.c         |  6 +++---
 board/atc/atc.c                                 |  2 +-
 board/atmel/at91rm9200ek/at91rm9200ek.c         |  2 +-
 board/atmel/at91sam9260ek/at91sam9260ek.c       |  2 +-
 board/atmel/at91sam9261ek/at91sam9261ek.c       |  2 +-
 board/atmel/at91sam9263ek/at91sam9263ek.c       |  2 +-
 board/atmel/at91sam9m10g45ek/at91sam9m10g45ek.c |  2 +-
 board/atmel/at91sam9n12ek/at91sam9n12ek.c       |  2 +-
 board/atmel/at91sam9rlek/at91sam9rlek.c         |  2 +-
 board/atmel/at91sam9x5ek/at91sam9x5ek.c         |  2 +-
 board/atmel/atngw100/atngw100.c                 |  2 +-
 board/atmel/atngw100mkii/atngw100mkii.c         |  2 +-
 board/atmel/atstk1000/atstk1000.c               |  2 +-
 board/atmel/sama5d3xek/sama5d3xek.c             |  2 +-
 board/bc3450/bc3450.c                           |  8 ++++----
 board/bluewater/snapper9260/snapper9260.c       |  2 +-
 board/calao/sbc35_a9g20/sbc35_a9g20.c           |  2 +-
 board/calao/tny_a9260/tny_a9260.c               |  2 +-
 board/canmb/canmb.c                             |  8 ++++----
 board/cm5200/cm5200.c                           |  4 ++--
 board/congatec/cgtqmx6eval/cgtqmx6eval.c        |  2 +-
 board/cpu86/cpu86.c                             |  2 +-
 board/cpu87/cpu87.c                             |  2 +-
 board/cu824/cu824.c                             |  8 ++++----
 board/davedenx/qong/qong.c                      |  2 +-
 board/denx/m53evk/m53evk.c                      |  6 +++---
 board/earthlcd/favr-32-ezkit/favr-32-ezkit.c    |  2 +-
 board/egnite/ethernut5/ethernut5.c              |  2 +-
 board/emk/top9000/top9000.c                     |  2 +-
 board/ep88x/ep88x.c                             |  2 +-
 board/esd/cpci5200/cpci5200.c                   |  4 ++--
 board/esd/mecp5123/mecp5123.c                   |  2 +-
 board/esd/meesc/meesc.c                         |  2 +-
 board/esd/otc570/otc570.c                       |  2 +-
 board/esd/pf5200/pf5200.c                       |  4 ++--
 board/esd/vme8349/vme8349.c                     |  2 +-
 board/esg/ima3-mx53/ima3-mx53.c                 |  2 +-
 board/esteem192e/esteem192e.c                   |  4 ++--
 board/eukrea/cpu9260/cpu9260.c                  |  2 +-
 board/eukrea/cpuat91/cpuat91.c                  |  2 +-
 board/fads/fads.c                               |  2 +-
 board/faraday/a320evb/a320evb.c                 |  2 +-
 board/freescale/mpc8308rdb/sdram.c              |  2 +-
 board/freescale/mx25pdk/mx25pdk.c               |  2 +-
 board/freescale/mx31ads/mx31ads.c               |  2 +-
 board/freescale/mx31pdk/mx31pdk.c               |  2 +-
 board/freescale/mx35pdk/mx35pdk.c               |  6 +++---
 board/freescale/mx51evk/mx51evk.c               |  2 +-
 board/freescale/mx53ard/mx53ard.c               |  6 +++---
 board/freescale/mx53evk/mx53evk.c               |  2 +-
 board/freescale/mx53loco/mx53loco.c             |  6 +++---
 board/freescale/mx53smd/mx53smd.c               |  6 +++---
 board/freescale/mx6qarm2/mx6qarm2.c             |  2 +-
 board/freescale/mx6qsabreauto/mx6qsabreauto.c   |  2 +-
 board/freescale/mx6sabresd/mx6sabresd.c         |  2 +-
 board/freescale/mx6slevk/mx6slevk.c             |  2 +-
 board/freescale/titanium/titanium.c             |  2 +-
 board/freescale/vf610twr/vf610twr.c             |  2 +-
 board/friendlyarm/mini2440/mini2440.c           |  2 +-
 board/galaxy5200/galaxy5200.c                   |  4 ++--
 board/genesi/mx51_efikamx/efikamx.c             |  2 +-
 board/genietv/genietv.c                         |  6 +++---
 board/hale/tt01/tt01.c                          |  2 +-
 board/hermes/hermes.c                           |  3 ++-
 board/hidden_dragon/hidden_dragon.c             |  8 ++++----
 board/icecube/icecube.c                         |  8 ++++----
 board/icpdas/lp8x4x/lp8x4x.c                    |  2 +-
 board/icu862/icu862.c                           |  2 +-
 board/ids8247/ids8247.c                         |  4 ++--
 board/ifm/o2dnt2/o2dnt2.c                       |  8 ++++----
 board/imx31_phycore/imx31_phycore.c             |  2 +-
 board/in-circuit/grasshopper/grasshopper.c      |  2 +-
 board/incaip/incaip.c                           |  2 +-
 board/inka4x0/inka4x0.c                         |  6 +++---
 board/intercontrol/digsy_mtc/digsy_mtc.c        |  6 +++---
 board/ip860/ip860.c                             |  3 ++-
 board/ipek01/ipek01.c                           |  4 ++--
 board/iphase4539/iphase4539.c                   |  2 +-
 board/ispan/ispan.c                             |  2 +-
 board/ivm/ivm.c                                 |  3 ++-
 board/jupiter/jupiter.c                         |  8 ++++----
 board/karo/tx25/tx25.c                          |  6 +++---
 board/keymile/km82xx/km82xx.c                   |  2 +-
 board/logicpd/imx27lite/imx27lite.c             |  6 +++---
 board/logicpd/imx31_litekit/imx31_litekit.c     |  2 +-
 board/lwmon/lwmon.c                             |  2 +-
 board/manroland/hmi1001/hmi1001.c               |  4 ++--
 board/manroland/mucmc52/mucmc52.c               |  8 ++++----
 board/manroland/uc101/uc101.c                   |  4 ++--
 board/matrix_vision/mvbc_p/mvbc_p.c             |  4 ++--
 board/matrix_vision/mvsmr/mvsmr.c               |  4 ++--
 board/mcc200/mcc200.c                           |  8 ++++----
 board/micronas/vct/vct.c                        |  2 +-
 board/mimc/mimc200/mimc200.c                    |  2 +-
 board/miromico/hammerhead/hammerhead.c          |  2 +-
 board/motionpro/motionpro.c                     |  4 ++--
 board/muas3001/muas3001.c                       |  2 +-
 board/munices/munices.c                         |  4 ++--
 board/musenki/musenki.c                         |  8 ++++----
 board/mvblue/mvblue.c                           |  8 ++++----
 board/mx1ads/mx1ads.c                           |  2 +-
 board/netphone/netphone.c                       |  2 +-
 board/netta/netta.c                             |  2 +-
 board/netta2/netta2.c                           |  2 +-
 board/nx823/nx823.c                             |  3 ++-
 board/phytec/pcm030/pcm030.c                    |  4 ++--
 board/pm520/pm520.c                             |  8 ++++----
 board/pm826/pm826.c                             |  2 +-
 board/pn62/pn62.c                               |  8 ++++----
 board/r360mpi/r360mpi.c                         |  2 +-
 board/rbc823/rbc823.c                           |  3 ++-
 board/ronetix/pm9261/pm9261.c                   |  2 +-
 board/ronetix/pm9263/pm9263.c                   |  2 +-
 board/ronetix/pm9g45/pm9g45.c                   |  2 +-
 board/samsung/arndale/arndale.c                 |  4 ++--
 board/samsung/origen/origen.c                   | 20 ++++++++++++--------
 board/samsung/smdk5250/exynos5-dt.c             |  8 ++++----
 board/samsung/smdk5250/smdk5250.c               |  8 ++++----
 board/samsung/smdkc100/smdkc100.c               |  2 +-
 board/samsung/smdkv310/smdkv310.c               | 20 ++++++++++++--------
 board/samsung/trats/trats.c                     | 12 ++++++++----
 board/samsung/universal_c210/universal.c        |  6 ++++--
 board/sandpoint/sandpoint.c                     |  8 ++++----
 board/scb9328/scb9328.c                         |  2 +-
 board/snmc/qs850/qs850.c                        |  2 +-
 board/snmc/qs860t/qs860t.c                      |  2 +-
 board/socrates/sdram.c                          |  2 +-
 board/spc1920/spc1920.c                         |  2 +-
 board/spd8xx/spd8xx.c                           |  2 +-
 board/stx/stxxtc/stxxtc.c                       |  4 ++--
 board/syteco/jadecpu/jadecpu.c                  |  2 +-
 board/syteco/zmx25/zmx25.c                      |  2 +-
 board/taskit/stamp9g20/stamp9g20.c              |  2 +-
 board/ti/omap5912osk/omap5912osk.c              |  2 +-
 board/timll/devkit3250/devkit3250.c             |  2 +-
 board/total5200/sdram.c                         |  8 ++++----
 board/tqc/tqm5200/tqm5200.c                     |  8 ++++----
 board/tqc/tqm8260/tqm8260.c                     |  4 ++--
 board/tqc/tqm8272/tqm8272.c                     |  4 ++--
 board/tqc/tqm834x/tqm834x.c                     |  2 +-
 board/tqc/tqm8xx/tqm8xx.c                       |  2 +-
 board/ttcontrol/vision2/vision2.c               |  2 +-
 board/utx8245/utx8245.c                         | 10 +++++-----
 board/v38b/v38b.c                               |  8 ++++----
 board/ve8313/ve8313.c                           |  2 +-
 board/woodburn/woodburn.c                       |  2 +-
 post/board/lwmon5/fpga.c                        |  2 +-
 post/board/lwmon5/gdc.c                         |  2 +-
 175 files changed, 323 insertions(+), 304 deletions(-)

diff --git a/arch/arm/cpu/arm926ejs/davinci/misc.c b/arch/arm/cpu/arm926ejs/davinci/misc.c
index e18bdfc..65448ed 100644
--- a/arch/arm/cpu/arm926ejs/davinci/misc.c
+++ b/arch/arm/cpu/arm926ejs/davinci/misc.c
@@ -23,7 +23,7 @@ int dram_init(void)
 {
 	/* dram_init must store complete ramsize in gd->ram_size */
 	gd->ram_size = get_ram_size(
-			(void *)CONFIG_SYS_SDRAM_BASE,
+			(unsigned long *)CONFIG_SYS_SDRAM_BASE,
 			CONFIG_MAX_RAM_BANK_SIZE);
 	return 0;
 }
diff --git a/arch/arm/cpu/arm926ejs/kirkwood/dram.c b/arch/arm/cpu/arm926ejs/kirkwood/dram.c
index d73ae47..e13493e 100644
--- a/arch/arm/cpu/arm926ejs/kirkwood/dram.c
+++ b/arch/arm/cpu/arm926ejs/kirkwood/dram.c
@@ -86,7 +86,7 @@ void kw_sdram_size_adjust(enum memory_bank bank)
 	u32 size;
 
 	/* probe currently equipped RAM size */
-	size = get_ram_size((void *)kw_sdram_bar(bank), kw_sdram_bs(bank));
+	size = (u32)get_ram_size((unsigned long *)kw_sdram_bar(bank), (unsigned long)kw_sdram_bs(bank));
 
 	/* adjust SDRAM window size accordingly */
 	kw_sdram_bs_set(bank, size);
diff --git a/arch/arm/cpu/arm926ejs/mxs/spl_mem_init.c b/arch/arm/cpu/arm926ejs/mxs/spl_mem_init.c
index 3baf4dd..a6f3c1f 100644
--- a/arch/arm/cpu/arm926ejs/mxs/spl_mem_init.c
+++ b/arch/arm/cpu/arm926ejs/mxs/spl_mem_init.c
@@ -226,7 +226,7 @@ uint32_t mxs_mem_get_size(void)
 	da = vt[4];
 	vt[4] = data_abort_memdetect_handler;
 
-	sz = get_ram_size((long *)PHYS_SDRAM_1, PHYS_SDRAM_1_SIZE);
+	sz = (uint32_t)get_ram_size((unsigned long *)PHYS_SDRAM_1, PHYS_SDRAM_1_SIZE);
 
 	/* Restore the old DABT handler. */
 	vt[4] = da;
diff --git a/arch/arm/cpu/arm926ejs/orion5x/dram.c b/arch/arm/cpu/arm926ejs/orion5x/dram.c
index 9ed93d2..6fe38e5 100644
--- a/arch/arm/cpu/arm926ejs/orion5x/dram.c
+++ b/arch/arm/cpu/arm926ejs/orion5x/dram.c
@@ -37,7 +37,7 @@ int dram_init (void)
 {
 	/* dram_init must store complete ramsize in gd->ram_size */
 	gd->ram_size = get_ram_size(
-			(long *) orion5x_sdram_bar(0),
+			(unsigned long *) orion5x_sdram_bar(0),
 			CONFIG_MAX_RAM_BANK_SIZE);
 	return 0;
 }
diff --git a/arch/arm/cpu/armv7/am33xx/emif4.c b/arch/arm/cpu/armv7/am33xx/emif4.c
index 59ad25c..f4a876b 100644
--- a/arch/arm/cpu/armv7/am33xx/emif4.c
+++ b/arch/arm/cpu/armv7/am33xx/emif4.c
@@ -23,7 +23,7 @@ int dram_init(void)
 {
 	/* dram_init must store complete ramsize in gd->ram_size */
 	gd->ram_size = get_ram_size(
-			(void *)CONFIG_SYS_SDRAM_BASE,
+			(unsigned long *)CONFIG_SYS_SDRAM_BASE,
 			CONFIG_MAX_RAM_BANK_SIZE);
 	return 0;
 }
diff --git a/arch/arm/cpu/armv7/omap-common/emif-common.c b/arch/arm/cpu/armv7/omap-common/emif-common.c
index b0e1caa..aa9bb04 100644
--- a/arch/arm/cpu/armv7/omap-common/emif-common.c
+++ b/arch/arm/cpu/armv7/omap-common/emif-common.c
@@ -1307,8 +1307,8 @@ void sdram_init(void)
 		size_prog = log_2_n_round_down(size_prog);
 		size_prog = (1 << size_prog);
 
-		size_detect = get_ram_size((long *)CONFIG_SYS_SDRAM_BASE,
-						size_prog);
+		size_detect = (u32)get_ram_size((unsigned long *)CONFIG_SYS_SDRAM_BASE,
+						(unsigned long)size_prog);
 		/* Compare with the size programmed */
 		if (size_detect != size_prog) {
 			printf("SDRAM: identified size not same as expected"
diff --git a/arch/arm/cpu/armv7/socfpga/misc.c b/arch/arm/cpu/armv7/socfpga/misc.c
index 2f1c716..058a5ea 100644
--- a/arch/arm/cpu/armv7/socfpga/misc.c
+++ b/arch/arm/cpu/armv7/socfpga/misc.c
@@ -11,6 +11,6 @@ DECLARE_GLOBAL_DATA_PTR;
 
 int dram_init(void)
 {
-	gd->ram_size = get_ram_size((long *)PHYS_SDRAM_1, PHYS_SDRAM_1_SIZE);
+	gd->ram_size = get_ram_size((unsigned long *)PHYS_SDRAM_1, PHYS_SDRAM_1_SIZE);
 	return 0;
 }
diff --git a/arch/powerpc/cpu/mpc512x/fixed_sdram.c b/arch/powerpc/cpu/mpc512x/fixed_sdram.c
index 6451ea9..6517f36 100644
--- a/arch/powerpc/cpu/mpc512x/fixed_sdram.c
+++ b/arch/powerpc/cpu/mpc512x/fixed_sdram.c
@@ -146,7 +146,7 @@ long int fixed_sdram(ddr512x_config_t *mddrc_config,
 	/* Allow for the DLL to startup before accessing data */
 	udelay(10);
 
-	msize = get_ram_size(CONFIG_SYS_DDR_BASE, CONFIG_SYS_MAX_RAM_SIZE);
+	msize = (u32)get_ram_size(CONFIG_SYS_DDR_BASE, CONFIG_SYS_MAX_RAM_SIZE);
 	/* Fix DDR Local Window for new size */
 	out_be32(&im->sysconf.ddrlaw.ar, __ilog2(msize) - 1);
 	sync_law(&im->sysconf.ddrlaw.ar);
diff --git a/arch/powerpc/cpu/ppc4xx/sdram.c b/arch/powerpc/cpu/ppc4xx/sdram.c
index 2d95bc5..eca59a1 100644
--- a/arch/powerpc/cpu/ppc4xx/sdram.c
+++ b/arch/powerpc/cpu/ppc4xx/sdram.c
@@ -192,7 +192,7 @@ phys_size_t initdram(int board_type)
 
 		udelay(10000);
 
-		if (get_ram_size(0, mb0cf[i].size) == mb0cf[i].size) {
+		if (get_ram_size((unsigned long *)0, mb0cf[i].size) == mb0cf[i].size) {
 			phys_size_t size = mb0cf[i].size;
 
 			/*
@@ -210,7 +210,7 @@ phys_size_t initdram(int board_type)
 			 * If the size not equal to the size of the first
 			 * bank, then disable the 2nd bank completely.
 			 */
-			if (get_ram_size((long *)mb0cf[i].size, mb0cf[i].size) !=
+			if (get_ram_size((unsigned long *)mb0cf[i].size, (unsigned long)mb0cf[i].size) !=
 			    mb0cf[i].size) {
 				mtsdram(SDRAM0_B1CR, 0);
 				mtsdram(SDRAM0_CFG, 0);
@@ -394,7 +394,7 @@ phys_size_t initdram(int board_type)
 		mtsdram(SDRAM0_CFG0, CONFIG_SYS_SDRAM0_CFG0);
 		udelay(10000);
 
-		if (get_ram_size(0, mb0cf[i].size) == mb0cf[i].size) {
+		if (get_ram_size((unsigned long *)0, mb0cf[i].size) == mb0cf[i].size) {
 			phys_size_t size = mb0cf[i].size;
 			/*
 			 * Optimize TR1 to current hardware environment
@@ -418,7 +418,7 @@ phys_size_t initdram(int board_type)
 			 * If the size not equal to the size of the first
 			 * bank, then disable the 2nd bank completely.
 			 */
-			if (get_ram_size((long *)mb0cf[i].size, mb0cf[i].size)
+			if (get_ram_size((unsigned long *)mb0cf[i].size, mb0cf[i].size)
 			    != mb0cf[i].size) {
 				mtsdram(SDRAM0_CFG0, 0);
 				mtsdram(SDRAM0_B1CR, 0);
diff --git a/board/AndesTech/adp-ag101/adp-ag101.c b/board/AndesTech/adp-ag101/adp-ag101.c
index 9884a5b..a579503 100644
--- a/board/AndesTech/adp-ag101/adp-ag101.c
+++ b/board/AndesTech/adp-ag101/adp-ag101.c
@@ -38,7 +38,7 @@ int dram_init(void)
 	unsigned long expected_size = PHYS_SDRAM_0_SIZE + PHYS_SDRAM_1_SIZE;
 	unsigned long actual_size;
 
-	actual_size = get_ram_size((void *)sdram_base, expected_size);
+	actual_size = get_ram_size((unsigned long *)sdram_base, expected_size);
 
 	gd->ram_size = actual_size;
 
diff --git a/board/AndesTech/adp-ag101p/adp-ag101p.c b/board/AndesTech/adp-ag101p/adp-ag101p.c
index dd8a6653..4992c6c 100644
--- a/board/AndesTech/adp-ag101p/adp-ag101p.c
+++ b/board/AndesTech/adp-ag101p/adp-ag101p.c
@@ -38,7 +38,7 @@ int dram_init(void)
 	unsigned long expected_size = PHYS_SDRAM_0_SIZE + PHYS_SDRAM_1_SIZE;
 	unsigned long actual_size;
 
-	actual_size = get_ram_size((void *)sdram_base, expected_size);
+	actual_size = get_ram_size((unsigned long *)sdram_base, expected_size);
 
 	gd->ram_size = actual_size;
 
diff --git a/board/AndesTech/adp-ag102/adp-ag102.c b/board/AndesTech/adp-ag102/adp-ag102.c
index 3f879ab..ad6482f 100644
--- a/board/AndesTech/adp-ag102/adp-ag102.c
+++ b/board/AndesTech/adp-ag102/adp-ag102.c
@@ -43,7 +43,7 @@ int dram_init(void)
 	unsigned long expected_size = PHYS_SDRAM_0_SIZE;
 	unsigned long actual_size;
 
-	actual_size = get_ram_size((void *)sdram_base, expected_size);
+	actual_size = get_ram_size((unsigned long *)sdram_base, expected_size);
 
 	gd->ram_size = actual_size;
 
diff --git a/board/BuS/eb_cpux9k2/cpux9k2.c b/board/BuS/eb_cpux9k2/cpux9k2.c
index 5e4778e..5742b50 100644
--- a/board/BuS/eb_cpux9k2/cpux9k2.c
+++ b/board/BuS/eb_cpux9k2/cpux9k2.c
@@ -121,7 +121,7 @@ void reset_phy(void)
 
 int dram_init(void)
 {
-	gd->ram_size = get_ram_size((long *)CONFIG_SYS_SDRAM_BASE,
+	gd->ram_size = get_ram_size((unsigned long *)CONFIG_SYS_SDRAM_BASE,
 			CONFIG_SYS_SDRAM_SIZE);
 	return 0;
 }
diff --git a/board/BuS/vl_ma2sc/vl_ma2sc.c b/board/BuS/vl_ma2sc/vl_ma2sc.c
index e2ae6fd..30f6f7e 100644
--- a/board/BuS/vl_ma2sc/vl_ma2sc.c
+++ b/board/BuS/vl_ma2sc/vl_ma2sc.c
@@ -280,7 +280,7 @@ int misc_init_r(void)
 
 int dram_init(void)
 {
-	gd->ram_size = get_ram_size((long *) CONFIG_SYS_SDRAM_BASE,
+	gd->ram_size = get_ram_size((unsigned long *) CONFIG_SYS_SDRAM_BASE,
 			CONFIG_SYS_SDRAM_SIZE);
 	return 0;
 }
diff --git a/board/CarMediaLab/flea3/flea3.c b/board/CarMediaLab/flea3/flea3.c
index 7f5cfc8..c668e2b 100644
--- a/board/CarMediaLab/flea3/flea3.c
+++ b/board/CarMediaLab/flea3/flea3.c
@@ -52,7 +52,7 @@ DECLARE_GLOBAL_DATA_PTR;
 
 int dram_init(void)
 {
-	gd->ram_size = get_ram_size((long *)PHYS_SDRAM_1,
+	gd->ram_size = get_ram_size((unsigned long *)PHYS_SDRAM_1,
 		PHYS_SDRAM_1_SIZE);
 
 	return 0;
diff --git a/board/LEOX/elpt860/elpt860.c b/board/LEOX/elpt860/elpt860.c
index 81820cb..6c9cb57 100644
--- a/board/LEOX/elpt860/elpt860.c
+++ b/board/LEOX/elpt860/elpt860.c
@@ -312,7 +312,7 @@ dram_size (long int mamr_value, long int *base, long int maxsize)
 
 	memctl->memc_mamr = mamr_value;
 
-	return (get_ram_size (base, maxsize));
+	return (long int)(get_ram_size ((unsigned long)base, (unsigned long)maxsize));
 }
 
 /* ------------------------------------------------------------------------- */
diff --git a/board/RPXClassic/RPXClassic.c b/board/RPXClassic/RPXClassic.c
index f47e8fa..6dd3f0f 100644
--- a/board/RPXClassic/RPXClassic.c
+++ b/board/RPXClassic/RPXClassic.c
@@ -218,7 +218,7 @@ static long int dram_size (long int mamr_value, long int *base, long int maxsize
 
 	memctl->memc_mamr = mamr_value;
 
-	return (get_ram_size(base, maxsize));
+	return (long int)(get_ram_size((unsigned long)base, (unsigned long)maxsize));
 }
 /*-----------------------------------------------------------------------------
  * aschex_to_byte --
diff --git a/board/RPXlite/RPXlite.c b/board/RPXlite/RPXlite.c
index 08575a4..48f225f 100644
--- a/board/RPXlite/RPXlite.c
+++ b/board/RPXlite/RPXlite.c
@@ -145,5 +145,5 @@ static long int dram_size (long int mamr_value, long int *base,
 
 	memctl->memc_mamr = mamr_value;
 
-	return (get_ram_size (base, maxsize));
+	return (long int)(get_ram_size ((unsigned long)base, (unsigned long)maxsize));
 }
diff --git a/board/RPXlite_dw/RPXlite_dw.c b/board/RPXlite_dw/RPXlite_dw.c
index 29d52de..48ac59c 100644
--- a/board/RPXlite_dw/RPXlite_dw.c
+++ b/board/RPXlite_dw/RPXlite_dw.c
@@ -160,5 +160,5 @@ static long int dram_size (long int mamr_value, long int *base,
 
 	memctl->memc_mamr = mamr_value;
 
-	return (get_ram_size (base, maxsize));
+	return (long int)(get_ram_size ((unsigned long)base, (unsigned long)maxsize));
 }
diff --git a/board/RRvision/RRvision.c b/board/RRvision/RRvision.c
index d94e238..e048b8c 100644
--- a/board/RRvision/RRvision.c
+++ b/board/RRvision/RRvision.c
@@ -218,5 +218,5 @@ static long int dram_size (long int mamr_value, long int *base,
 
 	memctl->memc_mamr = mamr_value;
 
-	return (get_ram_size(base, maxsize));
+	return (long int)(get_ram_size((unsigned long)base, (unsigned long)maxsize));
 }
diff --git a/board/a3000/a3000.c b/board/a3000/a3000.c
index 3e2f6b0..6432dd0 100644
--- a/board/a3000/a3000.c
+++ b/board/a3000/a3000.c
@@ -25,10 +25,10 @@ int checkboard (void)
 
 phys_size_t initdram (int board_type)
 {
-	long size;
-	long new_bank0_end;
-	long mear1;
-	long emear1;
+	unsigned long size;
+	unsigned long new_bank0_end;
+	unsigned long mear1;
+	unsigned long emear1;
 
 	size = get_ram_size(CONFIG_SYS_SDRAM_BASE, CONFIG_SYS_MAX_RAM_SIZE);
 
diff --git a/board/a3m071/a3m071.c b/board/a3m071/a3m071.c
index 7aeefb2..9c9a7b4 100644
--- a/board/a3m071/a3m071.c
+++ b/board/a3m071/a3m071.c
@@ -100,9 +100,9 @@ phys_size_t initdram(int board_type)
 
 	/* find RAM size using SDRAM CS0 only */
 	sdram_start(0);
-	test1 = get_ram_size((long *)CONFIG_SYS_SDRAM_BASE, 0x80000000);
+	test1 = get_ram_size((unsigned long *)CONFIG_SYS_SDRAM_BASE, 0x80000000);
 	sdram_start(1);
-	test2 = get_ram_size((long *)CONFIG_SYS_SDRAM_BASE, 0x80000000);
+	test2 = get_ram_size((unsigned long *)CONFIG_SYS_SDRAM_BASE, 0x80000000);
 	if (test1 > test2) {
 		sdram_start(0);
 		dramsize = test1;
diff --git a/board/a4m072/a4m072.c b/board/a4m072/a4m072.c
index d3d4c18..aca3677 100644
--- a/board/a4m072/a4m072.c
+++ b/board/a4m072/a4m072.c
@@ -97,9 +97,9 @@ phys_size_t initdram (int board_type)
 
 	/* find RAM size using SDRAM CS0 only */
 	sdram_start(0);
-	test1 = get_ram_size((long *)CONFIG_SYS_SDRAM_BASE, 0x80000000);
+	test1 = get_ram_size((unsigned long *)CONFIG_SYS_SDRAM_BASE, 0x80000000);
 	sdram_start(1);
-	test2 = get_ram_size((long *)CONFIG_SYS_SDRAM_BASE, 0x80000000);
+	test2 = get_ram_size((unsigned long *)CONFIG_SYS_SDRAM_BASE, 0x80000000);
 	if (test1 > test2) {
 		sdram_start(0);
 		dramsize = test1;
diff --git a/board/adder/adder.c b/board/adder/adder.c
index fa1a54b..c24ec8b 100644
--- a/board/adder/adder.c
+++ b/board/adder/adder.c
@@ -81,7 +81,7 @@ phys_size_t initdram (int board_type)
 	memctl->memc_or1   = ~(CONFIG_SYS_SDRAM_MAX_SIZE - 1) | OR_CSNT_SAM;
 	memctl->memc_br1   =  CONFIG_SYS_SDRAM_BASE | BR_PS_32 | BR_MS_UPMA | BR_V;
 
-	msize = get_ram_size(CONFIG_SYS_SDRAM_BASE, CONFIG_SYS_SDRAM_MAX_SIZE);
+	msize = (long int)get_ram_size(CONFIG_SYS_SDRAM_BASE, CONFIG_SYS_SDRAM_MAX_SIZE);
 	memctl->memc_or1  |= ~(msize - 1);
 
 	return msize;
diff --git a/board/afeb9260/afeb9260.c b/board/afeb9260/afeb9260.c
index e1b1c10..bb8c791 100644
--- a/board/afeb9260/afeb9260.c
+++ b/board/afeb9260/afeb9260.c
@@ -153,7 +153,7 @@ int board_init(void)
 int dram_init(void)
 {
 	gd->ram_size = get_ram_size(
-	(void *)CONFIG_SYS_SDRAM_BASE,
+	(unsigned long *)CONFIG_SYS_SDRAM_BASE,
 		CONFIG_SYS_SDRAM_SIZE);
 
 	return 0;
diff --git a/board/armltd/integrator/integrator.c b/board/armltd/integrator/integrator.c
index 62870c6..3772588 100644
--- a/board/armltd/integrator/integrator.c
+++ b/board/armltd/integrator/integrator.c
@@ -137,12 +137,12 @@ extern void dram_query(void);
 	 *
 	 */
 	sdram_shift = ((cm_reg_sdram & 0x0000001C)/4)%4;
-	gd->ram_size = get_ram_size((long *) CONFIG_SYS_SDRAM_BASE +
+	gd->ram_size = get_ram_size((unsigned long *) CONFIG_SYS_SDRAM_BASE +
 				    REMAPPED_FLASH_SZ,
 				    0x01000000 << sdram_shift);
 	}
 #else
-	gd->ram_size = get_ram_size((long *) CONFIG_SYS_SDRAM_BASE +
+	gd->ram_size = get_ram_size((unsigned long *) CONFIG_SYS_SDRAM_BASE +
 				    REMAPPED_FLASH_SZ,
 				    PHYS_SDRAM_1_SIZE);
 #endif /* CM_SPD_DETECT */
diff --git a/board/armltd/versatile/versatile.c b/board/armltd/versatile/versatile.c
index 30a3b90..0b8ae6b 100644
--- a/board/armltd/versatile/versatile.c
+++ b/board/armltd/versatile/versatile.c
@@ -78,7 +78,7 @@ int misc_init_r (void)
 int dram_init (void)
 {
 	/* dram_init must store complete ramsize in gd->ram_size */
-	gd->ram_size = get_ram_size((void *)CONFIG_SYS_SDRAM_BASE,
+	gd->ram_size = get_ram_size((unsigned long *)CONFIG_SYS_SDRAM_BASE,
 				PHYS_SDRAM_1_SIZE);
 	return 0;
 }
diff --git a/board/armltd/vexpress/vexpress_common.c b/board/armltd/vexpress/vexpress_common.c
index 4c7a7f4..4b975e1 100644
--- a/board/armltd/vexpress/vexpress_common.c
+++ b/board/armltd/vexpress/vexpress_common.c
@@ -108,7 +108,7 @@ static void flash__init(void)
 int dram_init(void)
 {
 	gd->ram_size =
-		get_ram_size((long *)CONFIG_SYS_SDRAM_BASE, PHYS_SDRAM_1_SIZE);
+		get_ram_size((unsigned long *)CONFIG_SYS_SDRAM_BASE, PHYS_SDRAM_1_SIZE);
 	return 0;
 }
 
@@ -116,10 +116,10 @@ void dram_init_banksize(void)
 {
 	gd->bd->bi_dram[0].start = PHYS_SDRAM_1;
 	gd->bd->bi_dram[0].size =
-			get_ram_size((long *)PHYS_SDRAM_1, PHYS_SDRAM_1_SIZE);
+			get_ram_size((unsigned long *)PHYS_SDRAM_1, PHYS_SDRAM_1_SIZE);
 	gd->bd->bi_dram[1].start = PHYS_SDRAM_2;
 	gd->bd->bi_dram[1].size =
-			get_ram_size((long *)PHYS_SDRAM_2, PHYS_SDRAM_2_SIZE);
+			get_ram_size((unsigned long *)PHYS_SDRAM_2, PHYS_SDRAM_2_SIZE);
 }
 
 int timer_init(void)
diff --git a/board/atc/atc.c b/board/atc/atc.c
index 0038561..147867a 100644
--- a/board/atc/atc.c
+++ b/board/atc/atc.c
@@ -306,7 +306,7 @@ static long int try_init (volatile memctl8260_t * memctl, ulong sdmr,
 	*sdmr_ptr = sdmr | PSDMR_OP_NORM | PSDMR_RFEN;
 	*base = c;
 
-	size = get_ram_size((long *)base, maxsize);
+	size = get_ram_size((unsigned long *)base, maxsize);
 
 	*orx_ptr = orx | ~(size - 1);
 
diff --git a/board/atmel/at91rm9200ek/at91rm9200ek.c b/board/atmel/at91rm9200ek/at91rm9200ek.c
index 64ab572..31c4bd1 100644
--- a/board/atmel/at91rm9200ek/at91rm9200ek.c
+++ b/board/atmel/at91rm9200ek/at91rm9200ek.c
@@ -48,7 +48,7 @@ int board_early_init_f(void)
 int dram_init (void)
 {
 	/* dram_init must store complete ramsize in gd->ram_size */
-	gd->ram_size = get_ram_size((long *)CONFIG_SYS_SDRAM_BASE,
+	gd->ram_size = get_ram_size((unsigned long *)CONFIG_SYS_SDRAM_BASE,
 			CONFIG_SYS_SDRAM_SIZE);
 	return 0;
 }
diff --git a/board/atmel/at91sam9260ek/at91sam9260ek.c b/board/atmel/at91sam9260ek/at91sam9260ek.c
index 263de49..abc9873 100644
--- a/board/atmel/at91sam9260ek/at91sam9260ek.c
+++ b/board/atmel/at91sam9260ek/at91sam9260ek.c
@@ -171,7 +171,7 @@ int board_init(void)
 int dram_init(void)
 {
 	gd->ram_size = get_ram_size(
-		(void *)CONFIG_SYS_SDRAM_BASE,
+		(unsigned long *)CONFIG_SYS_SDRAM_BASE,
 		CONFIG_SYS_SDRAM_SIZE);
 	return 0;
 }
diff --git a/board/atmel/at91sam9261ek/at91sam9261ek.c b/board/atmel/at91sam9261ek/at91sam9261ek.c
index 3e8f062..bd20112 100644
--- a/board/atmel/at91sam9261ek/at91sam9261ek.c
+++ b/board/atmel/at91sam9261ek/at91sam9261ek.c
@@ -261,7 +261,7 @@ int board_eth_init(bd_t *bis)
 
 int dram_init(void)
 {
-	gd->ram_size = get_ram_size((void *)CONFIG_SYS_SDRAM_BASE,
+	gd->ram_size = get_ram_size((unsigned long *)CONFIG_SYS_SDRAM_BASE,
 		CONFIG_SYS_SDRAM_SIZE);
 
 	return 0;
diff --git a/board/atmel/at91sam9263ek/at91sam9263ek.c b/board/atmel/at91sam9263ek/at91sam9263ek.c
index 2e9246f..f6021ec 100644
--- a/board/atmel/at91sam9263ek/at91sam9263ek.c
+++ b/board/atmel/at91sam9263ek/at91sam9263ek.c
@@ -270,7 +270,7 @@ int board_init(void)
 
 int dram_init(void)
 {
-	gd->ram_size = get_ram_size((void *)CONFIG_SYS_SDRAM_BASE,
+	gd->ram_size = get_ram_size((unsigned long *)CONFIG_SYS_SDRAM_BASE,
 		CONFIG_SYS_SDRAM_SIZE);
 
 	return 0;
diff --git a/board/atmel/at91sam9m10g45ek/at91sam9m10g45ek.c b/board/atmel/at91sam9m10g45ek/at91sam9m10g45ek.c
index 6a071f6..f812bfc 100644
--- a/board/atmel/at91sam9m10g45ek/at91sam9m10g45ek.c
+++ b/board/atmel/at91sam9m10g45ek/at91sam9m10g45ek.c
@@ -275,7 +275,7 @@ int board_init(void)
 
 int dram_init(void)
 {
-	gd->ram_size = get_ram_size((void *) CONFIG_SYS_SDRAM_BASE,
+	gd->ram_size = get_ram_size((unsigned long *) CONFIG_SYS_SDRAM_BASE,
 				    CONFIG_SYS_SDRAM_SIZE);
 	return 0;
 }
diff --git a/board/atmel/at91sam9n12ek/at91sam9n12ek.c b/board/atmel/at91sam9n12ek/at91sam9n12ek.c
index 2ec32eb..1adb646 100644
--- a/board/atmel/at91sam9n12ek/at91sam9n12ek.c
+++ b/board/atmel/at91sam9n12ek/at91sam9n12ek.c
@@ -242,7 +242,7 @@ int board_eth_init(bd_t *bis)
 
 int dram_init(void)
 {
-	gd->ram_size = get_ram_size((void *)CONFIG_SYS_SDRAM_BASE,
+	gd->ram_size = get_ram_size((unsigned long *)CONFIG_SYS_SDRAM_BASE,
 					CONFIG_SYS_SDRAM_SIZE);
 	return 0;
 }
diff --git a/board/atmel/at91sam9rlek/at91sam9rlek.c b/board/atmel/at91sam9rlek/at91sam9rlek.c
index c700a90..b61ffdc 100644
--- a/board/atmel/at91sam9rlek/at91sam9rlek.c
+++ b/board/atmel/at91sam9rlek/at91sam9rlek.c
@@ -197,7 +197,7 @@ int board_init(void)
 int dram_init(void)
 {
 	gd->ram_size = get_ram_size(
-		(void *)CONFIG_SYS_SDRAM_BASE,
+		(unsigned long *)CONFIG_SYS_SDRAM_BASE,
 		CONFIG_SYS_SDRAM_SIZE);
 	return 0;
 }
diff --git a/board/atmel/at91sam9x5ek/at91sam9x5ek.c b/board/atmel/at91sam9x5ek/at91sam9x5ek.c
index 6f67c34..2e00500 100644
--- a/board/atmel/at91sam9x5ek/at91sam9x5ek.c
+++ b/board/atmel/at91sam9x5ek/at91sam9x5ek.c
@@ -290,7 +290,7 @@ int board_init(void)
 
 int dram_init(void)
 {
-	gd->ram_size = get_ram_size((void *) CONFIG_SYS_SDRAM_BASE,
+	gd->ram_size = get_ram_size((unsigned long *) CONFIG_SYS_SDRAM_BASE,
 					CONFIG_SYS_SDRAM_SIZE);
 	return 0;
 }
diff --git a/board/atmel/atngw100/atngw100.c b/board/atmel/atngw100/atngw100.c
index 03d767a..e4b40df 100644
--- a/board/atmel/atngw100/atngw100.c
+++ b/board/atmel/atngw100/atngw100.c
@@ -77,7 +77,7 @@ phys_size_t initdram(int board_type)
 	sdram_base = uncached(EBI_SDRAM_BASE);
 
 	expected_size = sdram_init(sdram_base, &sdram_config);
-	actual_size = get_ram_size(sdram_base, expected_size);
+	actual_size = get_ram_size((unsigned long *)sdram_base, expected_size);
 
 	if (expected_size != actual_size)
 		printf("Warning: Only %lu of %lu MiB SDRAM is working\n",
